SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
SLNet::ReferenceCounter Class Reference

`#include <slikenet/smartptr.h>`

## Public Member Functions

| ReferenceCounter ()
| ~ReferenceCounter ()
void | AddRef ()
int | Release ()
int | GetRefCount (void) const

## Detailed Description

Definition at line 31 of file smartptr.h.

## Constructor & Destructor Documentation

SLNet::ReferenceCounter::ReferenceCounter | ( |  | ) |

inline

Definition at line 37 of file smartptr.h.

SLNet::ReferenceCounter::~ReferenceCounter | ( |  | ) |

inline

Definition at line 38 of file smartptr.h.

## Member Function Documentation

void SLNet::ReferenceCounter::AddRef | ( | void |  | ) |

inline

Definition at line 39 of file smartptr.h.

int SLNet::ReferenceCounter::GetRefCount | ( | void |  | ) | const

inline

Definition at line 41 of file smartptr.h.

int SLNet::ReferenceCounter::Release | ( |  | ) |

inline

Definition at line 40 of file smartptr.h.

The documentation for this class was generated from the following file:

- Source/include/slikenet/smartptr.h